DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTBeamSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTBeamSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getBeamDescription (OFString &value, const signed long pos=0) const
| get BeamDescription (300a,00c3) More...
OFCondition | getBeamName (OFString &value, const signed long pos=0) const
| get BeamName (300a,00c2) More...
OFCondition | getBeamNumber (OFString &value, const signed long pos=0) const
| get BeamNumber (300a,00c0) More...
OFCondition | getBeamNumber (Sint32 &value, const unsigned long pos=0) const
| get BeamNumber (300a,00c0) More...
OFCondition | getBeamType (OFString &value, const signed long pos=0) const
| get BeamType (300a,00c4) More...
OFCondition | getDeviceSerialNumber (OFString &value, const signed long pos=0) const
| get DeviceSerialNumber (0018,1000) More...
OFCondition | getEnhancedRTBeamLimitingDeviceDefinitionFlag (OFString &value, const signed long pos=0) const
| get EnhancedRTBeamLimitingDeviceDefinitionFlag (3008,00a3) More...
OFCondition | getEntityLongLabel (OFString &value, const signed long pos=0) const
| get EntityLongLabel (3010,0038) More...
OFCondition | getFinalCumulativeMetersetWeight (OFString &value, const signed long pos=0) const
| get FinalCumulativeMetersetWeight (300a,010e) More...
OFCondition | getFinalCumulativeMetersetWeight (Float64 &value, const unsigned long pos=0) const
| get FinalCumulativeMetersetWeight (300a,010e) More...
OFCondition | getHighDoseTechniqueType (OFString &value, const signed long pos=0) const
| get HighDoseTechniqueType (300a,00c7) More...
OFCondition | getInstitutionAddress (OFString &value, const signed long pos=0) const
| get InstitutionAddress (0008,0081) More...
OFCondition | getInstitutionName (OFString &value, const signed long pos=0) const
| get InstitutionName (0008,0080) More...
OFCondition | getInstitutionalDepartmentName (OFString &value, const signed long pos=0) const
| get InstitutionalDepartmentName (0008,1040) More...
OFCondition | getManufacturer (OFString &value, const signed long pos=0) const
| get Manufacturer (0008,0070) More...
OFCondition | getManufacturerModelName (OFString &value, const signed long pos=0) const
| get ManufacturerModelName (0008,1090) More...
OFCondition | getNumberOfBlocks (OFString &value, const signed long pos=0) const
| get NumberOfBlocks (300a,00f0) More...
OFCondition | getNumberOfBlocks (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBlocks (300a,00f0) More...
OFCondition | getNumberOfBoli (OFString &value, const signed long pos=0) const
| get NumberOfBoli (300a,00ed) More...
OFCondition | getNumberOfBoli (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBoli (300a,00ed) More...
OFCondition | getNumberOfCompensators (OFString &value, const signed long pos=0) const
| get NumberOfCompensators (300a,00e0) More...
OFCondition | getNumberOfCompensators (Sint32 &value, const unsigned long pos=0) const
| get NumberOfCompensators (300a,00e0) More...
OFCondition | getNumberOfControlPoints (OFString &value, const signed long pos=0) const
| get NumberOfControlPoints (300a,0110) More...
OFCondition | getNumberOfControlPoints (Sint32 &value, const unsigned long pos=0) const
| get NumberOfControlPoints (300a,0110) More...
OFCondition | getNumberOfWedges (OFString &value, const signed long pos=0) const
| get NumberOfWedges (300a,00d0) More...
OFCondition | getNumberOfWedges (Sint32 &value, const unsigned long pos=0) const
| get NumberOfWedges (300a,00d0) More...
OFCondition | getPrimaryDosimeterUnit (OFString &value, const signed long pos=0) const
| get PrimaryDosimeterUnit (300a,00b3) More...
OFCondition | getRadiationType (OFString &value, const signed long pos=0) const
| get RadiationType (300a,00c6) More...
OFCondition | getReferencedPatientSetupNumber (OFString &value, const signed long pos=0) const
| get ReferencedPatientSetupNumber (300c,006a) More...
OFCondition | getReferencedPatientSetupNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedPatientSetupNumber (300c,006a) More...
OFCondition | getReferencedToleranceTableNumber (OFString &value, const signed long pos=0) const
| get ReferencedToleranceTableNumber (300c,00a0) More...
OFCondition | getReferencedToleranceTableNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedToleranceTableNumber (300c,00a0) More...
OFCondition | getSourceAxisDistance (OFString &value, const signed long pos=0) const
| get SourceAxisDistance (300a,00b4) More...
OFCondition | getSourceAxisDistance (Float64 &value, const unsigned long pos=0) const
| get SourceAxisDistance (300a,00b4) More...
OFCondition | getTotalBlockTrayFactor (OFString &value, const signed long pos=0) const
| get TotalBlockTrayFactor (300a,00f2) More...
OFCondition | getTotalBlockTrayFactor (Float64 &value, const unsigned long pos=0) const
| get TotalBlockTrayFactor (300a,00f2) More...
OFCondition | getTotalCompensatorTrayFactor (OFString &value, const signed long pos=0) const
| get TotalCompensatorTrayFactor (300a,00e2) More...
OFCondition | getTotalCompensatorTrayFactor (Float64 &value, const unsigned long pos=0) const
| get TotalCompensatorTrayFactor (300a,00e2) More...
OFCondition | getTreatmentDeliveryType (OFString &value, const signed long pos=0) const
| get TreatmentDeliveryType (300a,00ce) More...
OFCondition | getTreatmentMachineName (OFString &value, const signed long pos=0) const
| get TreatmentMachineName (300a,00b2) More...
DRTApplicatorSequenceInRTBeamsModule & | getApplicatorSequence ()
| get ApplicatorSequence (300a,0107) More...
const DRTApplicatorSequenceInRTBeamsModule & | getApplicatorSequence () const
| get ApplicatorSequence (300a,0107) More...
DRTBeamLimitingDeviceSequenceInRTBeamsModule & | getBeamLimitingDeviceSequence ()
| get BeamLimitingDeviceSequence (300a,00b6) More...
const DRTBeamLimitingDeviceSequenceInRTBeamsModule & | getBeamLimitingDeviceSequence () const
| get BeamLimitingDeviceSequence (300a,00b6) More...
DRTBlockSequenceInRTBeamsModule & | getBlockSequence ()
| get BlockSequence (300a,00f4) More...
const DRTBlockSequenceInRTBeamsModule & | getBlockSequence () const
| get BlockSequence (300a,00f4) More...
DRTCompensatorSequence & | getCompensatorSequence ()
| get CompensatorSequence (300a,00e3) More...
const DRTCompensatorSequence & | getCompensatorSequence () const
| get CompensatorSequence (300a,00e3) More...
DRTControlPointSequence & | getControlPointSequence ()
| get ControlPointSequence (300a,0111) More...
const DRTControlPointSequence & | getControlPointSequence () const
| get ControlPointSequence (300a,0111) More...
DRTDefinitionSourceSequence & | getDefinitionSourceSequence ()
| get DefinitionSourceSequence (0008,1156) More...
const DRTDefinitionSourceSequence & | getDefinitionSourceSequence () const
| get DefinitionSourceSequence (0008,1156) More...
DRTEnhancedRTBeamLimitingDeviceSequence & | getEnhancedRTBeamLimitingDeviceSequence ()
| get EnhancedRTBeamLimitingDeviceSequence (3008,00a1) More...
const DRTEnhancedRTBeamLimitingDeviceSequence & | getEnhancedRTBeamLimitingDeviceSequence () const
| get EnhancedRTBeamLimitingDeviceSequence (3008,00a1) More...
DRTGeneralAccessorySequenceInRTBeamsModule & | getGeneralAccessorySequence ()
| get GeneralAccessorySequence (300a,0420) More...
const DRTGeneralAccessorySequenceInRTBeamsModule & | getGeneralAccessorySequence () const
| get GeneralAccessorySequence (300a,0420) More...
DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence ()
| get InstitutionalDepartmentTypeCodeSequence (0008,1041) More...
const DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence () const
| get InstitutionalDepartmentTypeCodeSequence (0008,1041) More...
DRTPlannedVerificationImageSequence & | getPlannedVerificationImageSequence ()
| get PlannedVerificationImageSequence (300a,00ca) More...
const DRTPlannedVerificationImageSequence & | getPlannedVerificationImageSequence () const
| get PlannedVerificationImageSequence (300a,00ca) More...
DRTPrimaryFluenceModeSequence & | getPrimaryFluenceModeSequence ()
| get PrimaryFluenceModeSequence (3002,0050) More...
const DRTPrimaryFluenceModeSequence & | getPrimaryFluenceModeSequence () const
| get PrimaryFluenceModeSequence (3002,0050) More...
DRTReferencedBolusSequenceInRTBeamsModule & | getReferencedBolusSequence ()
| get ReferencedBolusSequence (300c,00b0) More...
const DRTReferencedBolusSequenceInRTBeamsModule & | getReferencedBolusSequence () const
| get ReferencedBolusSequence (300c,00b0) More...
DRTReferencedDoseReferenceSequenceInRTBeamsModule & | getReferencedDoseReferenceSequence ()
| get ReferencedDoseReferenceSequence (300c,0050) More...
const DRTReferencedDoseReferenceSequenceInRTBeamsModule & | getReferencedDoseReferenceSequence () const
| get ReferencedDoseReferenceSequence (300c,0050) More...
DRTReferencedDoseSequence & | getReferencedDoseSequence ()
| get ReferencedDoseSequence (300c,0080) More...
const DRTReferencedDoseSequence & | getReferencedDoseSequence () const
| get ReferencedDoseSequence (300c,0080) More...
DRTReferencedReferenceImageSequenceInRTBeamsModule & | getReferencedReferenceImageSequence ()
| get ReferencedReferenceImageSequence (300c,0042) More...
const DRTReferencedReferenceImageSequenceInRTBeamsModule & | getReferencedReferenceImageSequence () const
| get ReferencedReferenceImageSequence (300c,0042) More...
DRTWedgeSequence & | getWedgeSequence ()
| get WedgeSequence (300a,00d1) More...
const DRTWedgeSequence & | getWedgeSequence () const
| get WedgeSequence (300a,00d1) More...
OFCondition | setBeamDescription (const OFString &value, const OFBool check=OFTrue)
| set BeamDescription (300a,00c3) More...
OFCondition | setBeamName (const OFString &value, const OFBool check=OFTrue)
| set BeamName (300a,00c2) More...
OFCondition | setBeamNumber (const OFString &value, const OFBool check=OFTrue)
| set BeamNumber (300a,00c0) More...
OFCondition | setBeamType (const OFString &value, const OFBool check=OFTrue)
| set BeamType (300a,00c4) More...
OFCondition | setDeviceSerialNumber (const OFString &value, const OFBool check=OFTrue)
| set DeviceSerialNumber (0018,1000) More...
OFCondition | setEnhancedRTBeamLimitingDeviceDefinitionFlag (const OFString &value, const OFBool check=OFTrue)
| set EnhancedRTBeamLimitingDeviceDefinitionFlag (3008,00a3) More...
OFCondition | setEntityLongLabel (const OFString &value, const OFBool check=OFTrue)
| set EntityLongLabel (3010,0038) More...
OFCondition | setFinalCumulativeMetersetWeight (const OFString &value, const OFBool check=OFTrue)
| set FinalCumulativeMetersetWeight (300a,010e) More...
OFCondition | setHighDoseTechniqueType (const OFString &value, const OFBool check=OFTrue)
| set HighDoseTechniqueType (300a,00c7) More...
OFCondition | setInstitutionAddress (const OFString &value, const OFBool check=OFTrue)
| set InstitutionAddress (0008,0081) More...
OFCondition | setInstitutionName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionName (0008,0080) More...
OFCondition | setInstitutionalDepartmentName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionalDepartmentName (0008,1040) More...
OFCondition | setManufacturer (const OFString &value, const OFBool check=OFTrue)
| set Manufacturer (0008,0070) More...
OFCondition | setManufacturerModelName (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerModelName (0008,1090) More...
OFCondition | setNumberOfBlocks (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBlocks (300a,00f0) More...
OFCondition | setNumberOfBoli (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBoli (300a,00ed) More...
OFCondition | setNumberOfCompensators (const OFString &value, const OFBool check=OFTrue)
| set NumberOfCompensators (300a,00e0) More...
OFCondition | setNumberOfControlPoints (const OFString &value, const OFBool check=OFTrue)
| set NumberOfControlPoints (300a,0110) More...
OFCondition | setNumberOfWedges (const OFString &value, const OFBool check=OFTrue)
| set NumberOfWedges (300a,00d0) More...
OFCondition | setPrimaryDosimeterUnit (const OFString &value, const OFBool check=OFTrue)
| set PrimaryDosimeterUnit (300a,00b3) More...
OFCondition | setRadiationType (const OFString &value, const OFBool check=OFTrue)
| set RadiationType (300a,00c6) More...
OFCondition | setReferencedPatientSetupNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedPatientSetupNumber (300c,006a) More...
OFCondition | setReferencedToleranceTableNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedToleranceTableNumber (300c,00a0) More...
OFCondition | setSourceAxisDistance (const OFString &value, const OFBool check=OFTrue)
| set SourceAxisDistance (300a,00b4) More...
OFCondition | setTotalBlockTrayFactor (const OFString &value, const OFBool check=OFTrue)
| set TotalBlockTrayFactor (300a,00f2) More...
OFCondition | setTotalCompensatorTrayFactor (const OFString &value, const OFBool check=OFTrue)
| set TotalCompensatorTrayFactor (300a,00e2) More...
OFCondition | setTreatmentDeliveryType (const OFString &value, const OFBool check=OFTrue)
| set TreatmentDeliveryType (300a,00ce) More...
OFCondition | setTreatmentMachineName (const OFString &value, const OFBool check=OFTrue)
| set TreatmentMachineName (300a,00b2) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTApplicatorSequenceInRTBeamsModule | ApplicatorSequence
| ApplicatorSequence (300a,0107) vr=SQ, vm=1, type=3.
DcmShortText | BeamDescription
| BeamDescription (300a,00c3) vr=ST, vm=1, type=3.
DRTBeamLimitingDeviceSequenceInRTBeamsModule | BeamLimitingDeviceSequence
| BeamLimitingDeviceSequence (300a,00b6) vr=SQ, vm=1, type=1C.
DcmLongString | BeamName
| BeamName (300a,00c2) vr=LO, vm=1, type=3.
DcmIntegerString | BeamNumber
| BeamNumber (300a,00c0) vr=IS, vm=1, type=1.
DcmCodeString | BeamType
| BeamType (300a,00c4) vr=CS, vm=1, type=1.
DRTBlockSequenceInRTBeamsModule | BlockSequence
| BlockSequence (300a,00f4) vr=SQ, vm=1, type=1C.
DRTCompensatorSequence | CompensatorSequence
| CompensatorSequence (300a,00e3) vr=SQ, vm=1, type=1C.
DRTControlPointSequence | ControlPointSequence
| ControlPointSequence (300a,0111) vr=SQ, vm=1, type=1.
DRTDefinitionSourceSequence | DefinitionSourceSequence
| DefinitionSourceSequence (0008,1156) vr=SQ, vm=1, type=3.
DcmLongString | DeviceSerialNumber
| DeviceSerialNumber (0018,1000) vr=LO, vm=1, type=3.
DcmCodeString | EnhancedRTBeamLimitingDeviceDefinitionFlag
| EnhancedRTBeamLimitingDeviceDefinitionFlag (3008,00a3) vr=CS, vm=1, type=3.
DRTEnhancedRTBeamLimitingDeviceSequence | EnhancedRTBeamLimitingDeviceSequence
| EnhancedRTBeamLimitingDeviceSequence (3008,00a1) vr=SQ, vm=1, type=1C.
DcmLongString | EntityLongLabel
| EntityLongLabel (3010,0038) vr=LO, vm=1, type=3.
DcmDecimalString | FinalCumulativeMetersetWeight
| FinalCumulativeMetersetWeight (300a,010e) vr=DS, vm=1, type=1C.
DRTGeneralAccessorySequenceInRTBeamsModule | GeneralAccessorySequence
| GeneralAccessorySequence (300a,0420) vr=SQ, vm=1, type=3.
DcmCodeString | HighDoseTechniqueType
| HighDoseTechniqueType (300a,00c7) vr=CS, vm=1, type=1C.
DcmShortText | InstitutionAddress
| InstitutionAddress (0008,0081) vr=ST, vm=1, type=3.
DcmLongString | InstitutionName
| InstitutionName (0008,0080) vr=LO, vm=1, type=3.
DcmLongString | InstitutionalDepartmentName
| InstitutionalDepartmentName (0008,1040) vr=LO, vm=1, type=3.
DRTInstitutionalDepartmentTypeCodeSequence | InstitutionalDepartmentTypeCodeSequence
| InstitutionalDepartmentTypeCodeSequence (0008,1041) vr=SQ, vm=1, type=3.
DcmLongString | Manufacturer
| Manufacturer (0008,0070) vr=LO, vm=1, type=3.
DcmLongString | ManufacturerModelName
| ManufacturerModelName (0008,1090) vr=LO, vm=1, type=3.
DcmIntegerString | NumberOfBlocks
| NumberOfBlocks (300a,00f0) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfBoli
| NumberOfBoli (300a,00ed) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfCompensators
| NumberOfCompensators (300a,00e0) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfControlPoints
| NumberOfControlPoints (300a,0110) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfWedges
| NumberOfWedges (300a,00d0) vr=IS, vm=1, type=1.
DRTPlannedVerificationImageSequence | PlannedVerificationImageSequence
| PlannedVerificationImageSequence (300a,00ca) vr=SQ, vm=1, type=3.
DcmCodeString | PrimaryDosimeterUnit
| PrimaryDosimeterUnit (300a,00b3) vr=CS, vm=1, type=3.
DRTPrimaryFluenceModeSequence | PrimaryFluenceModeSequence
| PrimaryFluenceModeSequence (3002,0050) vr=SQ, vm=1, type=3.
DcmCodeString | RadiationType
| RadiationType (300a,00c6) vr=CS, vm=1, type=2.
DRTReferencedBolusSequenceInRTBeamsModule | ReferencedBolusSequence
| ReferencedBolusSequence (300c,00b0) vr=SQ, vm=1, type=1C.
DRTReferencedDoseReferenceSequenceInRTBeamsModule | ReferencedDoseReferenceSequence
| ReferencedDoseReferenceSequence (300c,0050) vr=SQ, vm=1, type=3.
DRTReferencedDoseSequence | ReferencedDoseSequence
| ReferencedDoseSequence (300c,0080) vr=SQ, vm=1, type=3.
DcmIntegerString | ReferencedPatientSetupNumber
| ReferencedPatientSetupNumber (300c,006a) vr=IS, vm=1, type=3.
DRTReferencedReferenceImageSequenceInRTBeamsModule | ReferencedReferenceImageSequence
| ReferencedReferenceImageSequence (300c,0042) vr=SQ, vm=1, type=3.
DcmIntegerString | ReferencedToleranceTableNumber
| ReferencedToleranceTableNumber (300c,00a0) vr=IS, vm=1, type=3.
DcmDecimalString | SourceAxisDistance
| SourceAxisDistance (300a,00b4) vr=DS, vm=1, type=3.
DcmDecimalString | TotalBlockTrayFactor
| TotalBlockTrayFactor (300a,00f2) vr=DS, vm=1, type=3.
DcmDecimalString | TotalCompensatorTrayFactor
| TotalCompensatorTrayFactor (300a,00e2) vr=DS, vm=1, type=3.
DcmCodeString | TreatmentDeliveryType
| TreatmentDeliveryType (300a,00ce) vr=CS, vm=1, type=3.
DcmShortString | TreatmentMachineName
| TreatmentMachineName (300a,00b2) vr=SH, vm=1, type=2.
DRTWedgeSequence | WedgeSequence
| WedgeSequence (300a,00d1) vr=SQ, vm=1, type=1C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTBeamSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTBeamSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getApplicatorSequence() [1/2]

DRTApplicatorSequenceInRTBeamsModule& DRTBeamSequence::Item::getApplicatorSequence | ( |  | ) |
| inline

get ApplicatorSequence (300a,0107)

Returns
  reference to sequence element

## ◆ getApplicatorSequence() [2/2]

const DRTApplicatorSequenceInRTBeamsModule& DRTBeamSequence::Item::getApplicatorSequence | ( |  | ) | const
| inline

get ApplicatorSequence (300a,0107)

Returns
  const reference to sequence element

## ◆ getBeamDescription()

OFCondition DRTBeamSequence::Item::getBeamDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamDescription (300a,00c3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceSequence() [1/2]

DRTBeamLimitingDeviceSequenceInRTBeamsModule& DRTBeamSequence::Item::getBeamLimitingDeviceSequence | ( |  | ) |
| inline

get BeamLimitingDeviceSequence (300a,00b6)

Returns
  reference to sequence element

## ◆ getBeamLimitingDeviceSequence() [2/2]

const DRTBeamLimitingDeviceSequenceInRTBeamsModule& DRTBeamSequence::Item::getBeamLimitingDeviceSequence | ( |  | ) | const
| inline

get BeamLimitingDeviceSequence (300a,00b6)

Returns
  const reference to sequence element

## ◆ getBeamName()

OFCondition DRTBeamSequence::Item::getBeamName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamName (300a,00c2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamNumber() [1/2]

OFCondition DRTBeamSequence::Item::getBeamNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamNumber (300a,00c0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamNumber() [2/2]

OFCondition DRTBeamSequence::Item::getBeamNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BeamNumber (300a,00c0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamType()

OFCondition DRTBeamSequence::Item::getBeamType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamType (300a,00c4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockSequence() [1/2]

DRTBlockSequenceInRTBeamsModule& DRTBeamSequence::Item::getBlockSequence | ( |  | ) |
| inline

get BlockSequence (300a,00f4)

Returns
  reference to sequence element

## ◆ getBlockSequence() [2/2]

const DRTBlockSequenceInRTBeamsModule& DRTBeamSequence::Item::getBlockSequence | ( |  | ) | const
| inline

get BlockSequence (300a,00f4)

Returns
  const reference to sequence element

## ◆ getCompensatorSequence() [1/2]

DRTCompensatorSequence& DRTBeamSequence::Item::getCompensatorSequence | ( |  | ) |
| inline

get CompensatorSequence (300a,00e3)

Returns
  reference to sequence element

## ◆ getCompensatorSequence() [2/2]

const DRTCompensatorSequence& DRTBeamSequence::Item::getCompensatorSequence | ( |  | ) | const
| inline

get CompensatorSequence (300a,00e3)

Returns
  const reference to sequence element

## ◆ getControlPointSequence() [1/2]

DRTControlPointSequence& DRTBeamSequence::Item::getControlPointSequence | ( |  | ) |
| inline

get ControlPointSequence (300a,0111)

Returns
  reference to sequence element

## ◆ getControlPointSequence() [2/2]

const DRTControlPointSequence& DRTBeamSequence::Item::getControlPointSequence | ( |  | ) | const
| inline

get ControlPointSequence (300a,0111)

Returns
  const reference to sequence element

## ◆ getDefinitionSourceSequence() [1/2]

DRTDefinitionSourceSequence& DRTBeamSequence::Item::getDefinitionSourceSequence | ( |  | ) |
| inline

get DefinitionSourceSequence (0008,1156)

Returns
  reference to sequence element

## ◆ getDefinitionSourceSequence() [2/2]

const DRTDefinitionSourceSequence& DRTBeamSequence::Item::getDefinitionSourceSequence | ( |  | ) | const
| inline

get DefinitionSourceSequence (0008,1156)

Returns
  const reference to sequence element

## ◆ getDeviceSerialNumber()

OFCondition DRTBeamSequence::Item::getDeviceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DeviceSerialNumber (0018,1000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEnhancedRTBeamLimitingDeviceDefinitionFlag()

OFCondition DRTBeamSequence::Item::getEnhancedRTBeamLimitingDeviceDefinitionFlag | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get EnhancedRTBeamLimitingDeviceDefinitionFlag (3008,00a3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEnhancedRTBeamLimitingDeviceSequence() [1/2]

DRTEnhancedRTBeamLimitingDeviceSequence& DRTBeamSequence::Item::getEnhancedRTBeamLimitingDeviceSequence | ( |  | ) |
| inline

get EnhancedRTBeamLimitingDeviceSequence (3008,00a1)

Returns
  reference to sequence element

## ◆ getEnhancedRTBeamLimitingDeviceSequence() [2/2]

const DRTEnhancedRTBeamLimitingDeviceSequence& DRTBeamSequence::Item::getEnhancedRTBeamLimitingDeviceSequence | ( |  | ) | const
| inline

get EnhancedRTBeamLimitingDeviceSequence (3008,00a1)

Returns
  const reference to sequence element

## ◆ getEntityLongLabel()

OFCondition DRTBeamSequence::Item::getEntityLongLabel | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get EntityLongLabel (3010,0038)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFinalCumulativeMetersetWeight() [1/2]

OFCondition DRTBeamSequence::Item::getFinalCumulativeMetersetWeight | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get FinalCumulativeMetersetWeight (300a,010e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFinalCumulativeMetersetWeight() [2/2]

OFCondition DRTBeamSequence::Item::getFinalCumulativeMetersetWeight | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get FinalCumulativeMetersetWeight (300a,010e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessorySequence() [1/2]

DRTGeneralAccessorySequenceInRTBeamsModule& DRTBeamSequence::Item::getGeneralAccessorySequence | ( |  | ) |
| inline

get GeneralAccessorySequence (300a,0420)

Returns
  reference to sequence element

## ◆ getGeneralAccessorySequence() [2/2]

const DRTGeneralAccessorySequenceInRTBeamsModule& DRTBeamSequence::Item::getGeneralAccessorySequence | ( |  | ) | const
| inline

get GeneralAccessorySequence (300a,0420)

Returns
  const reference to sequence element

## ◆ getHighDoseTechniqueType()

OFCondition DRTBeamSequence::Item::getHighDoseTechniqueType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get HighDoseTechniqueType (300a,00c7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionAddress()

OFCondition DRTBeamSequence::Item::getInstitutionAddress | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get InstitutionAddress (0008,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentName()

OFCondition DRTBeamSequence::Item::getInstitutionalDepartmentName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get InstitutionalDepartmentName (0008,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentTypeCodeSequence() [1/2]

DRTInstitutionalDepartmentTypeCodeSequence& DRTBeamSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) |
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  reference to sequence element

## ◆ getInstitutionalDepartmentTypeCodeSequence() [2/2]

const DRTInstitutionalDepartmentTypeCodeSequence& DRTBeamSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) | const
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  const reference to sequence element

## ◆ getInstitutionName()

OFCondition DRTBeamSequence::Item::getInstitutionName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get InstitutionName (0008,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturer()

OFCondition DRTBeamSequence::Item::getManufacturer | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get Manufacturer (0008,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturerModelName()

OFCondition DRTBeamSequence::Item::getManufacturerModelName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ManufacturerModelName (0008,1090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlocks() [1/2]

OFCondition DRTBeamSequence::Item::getNumberOfBlocks | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlocks() [2/2]

OFCondition DRTBeamSequence::Item::getNumberOfBlocks | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBoli() [1/2]

OFCondition DRTBeamSequence::Item::getNumberOfBoli | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfBoli (300a,00ed)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBoli() [2/2]

OFCondition DRTBeamSequence::Item::getNumberOfBoli | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfBoli (300a,00ed)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfCompensators() [1/2]

OFCondition DRTBeamSequence::Item::getNumberOfCompensators | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfCompensators (300a,00e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfCompensators() [2/2]

OFCondition DRTBeamSequence::Item::getNumberOfCompensators | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfCompensators (300a,00e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfControlPoints() [1/2]

OFCondition DRTBeamSequence::Item::getNumberOfControlPoints | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfControlPoints() [2/2]

OFCondition DRTBeamSequence::Item::getNumberOfControlPoints | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfWedges() [1/2]

OFCondition DRTBeamSequence::Item::getNumberOfWedges | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfWedges (300a,00d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfWedges() [2/2]

OFCondition DRTBeamSequence::Item::getNumberOfWedges | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfWedges (300a,00d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPlannedVerificationImageSequence() [1/2]

DRTPlannedVerificationImageSequence& DRTBeamSequence::Item::getPlannedVerificationImageSequence | ( |  | ) |
| inline

get PlannedVerificationImageSequence (300a,00ca)

Returns
  reference to sequence element

## ◆ getPlannedVerificationImageSequence() [2/2]

const DRTPlannedVerificationImageSequence& DRTBeamSequence::Item::getPlannedVerificationImageSequence | ( |  | ) | const
| inline

get PlannedVerificationImageSequence (300a,00ca)

Returns
  const reference to sequence element

## ◆ getPrimaryDosimeterUnit()

OFCondition DRTBeamSequence::Item::getPrimaryDosimeterUnit | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PrimaryDosimeterUnit (300a,00b3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrimaryFluenceModeSequence() [1/2]

DRTPrimaryFluenceModeSequence& DRTBeamSequence::Item::getPrimaryFluenceModeSequence | ( |  | ) |
| inline

get PrimaryFluenceModeSequence (3002,0050)

Returns
  reference to sequence element

## ◆ getPrimaryFluenceModeSequence() [2/2]

const DRTPrimaryFluenceModeSequence& DRTBeamSequence::Item::getPrimaryFluenceModeSequence | ( |  | ) | const
| inline

get PrimaryFluenceModeSequence (3002,0050)

Returns
  const reference to sequence element

## ◆ getRadiationType()

OFCondition DRTBeamSequence::Item::getRadiationType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RadiationType (300a,00c6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedBolusSequence() [1/2]

DRTReferencedBolusSequenceInRTBeamsModule& DRTBeamSequence::Item::getReferencedBolusSequence | ( |  | ) |
| inline

get ReferencedBolusSequence (300c,00b0)

Returns
  reference to sequence element

## ◆ getReferencedBolusSequence() [2/2]

const DRTReferencedBolusSequenceInRTBeamsModule& DRTBeamSequence::Item::getReferencedBolusSequence | ( |  | ) | const
| inline

get ReferencedBolusSequence (300c,00b0)

Returns
  const reference to sequence element

## ◆ getReferencedDoseReferenceSequence() [1/2]

DRTReferencedDoseReferenceSequenceInRTBeamsModule& DRTBeamSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) |
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  reference to sequence element

## ◆ getReferencedDoseReferenceSequence() [2/2]

const DRTReferencedDoseReferenceSequenceInRTBeamsModule& DRTBeamSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) | const
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  const reference to sequence element

## ◆ getReferencedDoseSequence() [1/2]

DRTReferencedDoseSequence& DRTBeamSequence::Item::getReferencedDoseSequence | ( |  | ) |
| inline

get ReferencedDoseSequence (300c,0080)

Returns
  reference to sequence element

## ◆ getReferencedDoseSequence() [2/2]

const DRTReferencedDoseSequence& DRTBeamSequence::Item::getReferencedDoseSequence | ( |  | ) | const
| inline

get ReferencedDoseSequence (300c,0080)

Returns
  const reference to sequence element

## ◆ getReferencedPatientSetupNumber() [1/2]

OFCondition DRTBeamSequence::Item::getReferencedPatientSetupNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedPatientSetupNumber() [2/2]

OFCondition DRTBeamSequence::Item::getReferencedPatientSetupNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedReferenceImageSequence() [1/2]

DRTReferencedReferenceImageSequenceInRTBeamsModule& DRTBeamSequence::Item::getReferencedReferenceImageSequence | ( |  | ) |
| inline

get ReferencedReferenceImageSequence (300c,0042)

Returns
  reference to sequence element

## ◆ getReferencedReferenceImageSequence() [2/2]

const DRTReferencedReferenceImageSequenceInRTBeamsModule& DRTBeamSequence::Item::getReferencedReferenceImageSequence | ( |  | ) | const
| inline

get ReferencedReferenceImageSequence (300c,0042)

Returns
  const reference to sequence element

## ◆ getReferencedToleranceTableNumber() [1/2]

OFCondition DRTBeamSequence::Item::getReferencedToleranceTableNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedToleranceTableNumber() [2/2]

OFCondition DRTBeamSequence::Item::getReferencedToleranceTableNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceAxisDistance() [1/2]

OFCondition DRTBeamSequence::Item::getSourceAxisDistance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceAxisDistance (300a,00b4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceAxisDistance() [2/2]

OFCondition DRTBeamSequence::Item::getSourceAxisDistance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceAxisDistance (300a,00b4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTotalBlockTrayFactor() [1/2]

OFCondition DRTBeamSequence::Item::getTotalBlockTrayFactor | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TotalBlockTrayFactor (300a,00f2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTotalBlockTrayFactor() [2/2]

OFCondition DRTBeamSequence::Item::getTotalBlockTrayFactor | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TotalBlockTrayFactor (300a,00f2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTotalCompensatorTrayFactor() [1/2]

OFCondition DRTBeamSequence::Item::getTotalCompensatorTrayFactor | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TotalCompensatorTrayFactor (300a,00e2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTotalCompensatorTrayFactor() [2/2]

OFCondition DRTBeamSequence::Item::getTotalCompensatorTrayFactor | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TotalCompensatorTrayFactor (300a,00e2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTreatmentDeliveryType()

OFCondition DRTBeamSequence::Item::getTreatmentDeliveryType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TreatmentDeliveryType (300a,00ce)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTreatmentMachineName()

OFCondition DRTBeamSequence::Item::getTreatmentMachineName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TreatmentMachineName (300a,00b2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeSequence() [1/2]

DRTWedgeSequence& DRTBeamSequence::Item::getWedgeSequence | ( |  | ) |
| inline

get WedgeSequence (300a,00d1)

Returns
  reference to sequence element

## ◆ getWedgeSequence() [2/2]

const DRTWedgeSequence& DRTBeamSequence::Item::getWedgeSequence | ( |  | ) | const
| inline

get WedgeSequence (300a,00d1)

Returns
  const reference to sequence element

## ◆ isEmpty()

OFBool DRTBeamSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTBeamSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTBeamSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTBeamSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDescription()

OFCondition DRTBeamSequence::Item::setBeamDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamDescription (300a,00c3)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamName()

OFCondition DRTBeamSequence::Item::setBeamName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamName (300a,00c2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamNumber()

OFCondition DRTBeamSequence::Item::setBeamNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamNumber (300a,00c0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamType()

OFCondition DRTBeamSequence::Item::setBeamType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamType (300a,00c4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceSerialNumber()

OFCondition DRTBeamSequence::Item::setDeviceSerialNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DeviceSerialNumber (0018,1000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEnhancedRTBeamLimitingDeviceDefinitionFlag()

OFCondition DRTBeamSequence::Item::setEnhancedRTBeamLimitingDeviceDefinitionFlag | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set EnhancedRTBeamLimitingDeviceDefinitionFlag (3008,00a3)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEntityLongLabel()

OFCondition DRTBeamSequence::Item::setEntityLongLabel | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set EntityLongLabel (3010,0038)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFinalCumulativeMetersetWeight()

OFCondition DRTBeamSequence::Item::setFinalCumulativeMetersetWeight | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set FinalCumulativeMetersetWeight (300a,010e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setHighDoseTechniqueType()

OFCondition DRTBeamSequence::Item::setHighDoseTechniqueType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set HighDoseTechniqueType (300a,00c7)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionAddress()

OFCondition DRTBeamSequence::Item::setInstitutionAddress | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set InstitutionAddress (0008,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionalDepartmentName()

OFCondition DRTBeamSequence::Item::setInstitutionalDepartmentName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set InstitutionalDepartmentName (0008,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionName()

OFCondition DRTBeamSequence::Item::setInstitutionName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set InstitutionName (0008,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturer()

OFCondition DRTBeamSequence::Item::setManufacturer | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set Manufacturer (0008,0070)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturerModelName()

OFCondition DRTBeamSequence::Item::setManufacturerModelName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ManufacturerModelName (0008,1090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBlocks()

OFCondition DRTBeamSequence::Item::setNumberOfBlocks | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfBlocks (300a,00f0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBoli()

OFCondition DRTBeamSequence::Item::setNumberOfBoli | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfBoli (300a,00ed)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfCompensators()

OFCondition DRTBeamSequence::Item::setNumberOfCompensators | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfCompensators (300a,00e0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfControlPoints()

OFCondition DRTBeamSequence::Item::setNumberOfControlPoints | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfControlPoints (300a,0110)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfWedges()

OFCondition DRTBeamSequence::Item::setNumberOfWedges | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfWedges (300a,00d0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrimaryDosimeterUnit()

OFCondition DRTBeamSequence::Item::setPrimaryDosimeterUnit | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PrimaryDosimeterUnit (300a,00b3)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRadiationType()

OFCondition DRTBeamSequence::Item::setRadiationType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RadiationType (300a,00c6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedPatientSetupNumber()

OFCondition DRTBeamSequence::Item::setReferencedPatientSetupNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedToleranceTableNumber()

OFCondition DRTBeamSequence::Item::setReferencedToleranceTableNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceAxisDistance()

OFCondition DRTBeamSequence::Item::setSourceAxisDistance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceAxisDistance (300a,00b4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTotalBlockTrayFactor()

OFCondition DRTBeamSequence::Item::setTotalBlockTrayFactor | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TotalBlockTrayFactor (300a,00f2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTotalCompensatorTrayFactor()

OFCondition DRTBeamSequence::Item::setTotalCompensatorTrayFactor | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TotalCompensatorTrayFactor (300a,00e2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTreatmentDeliveryType()

OFCondition DRTBeamSequence::Item::setTreatmentDeliveryType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TreatmentDeliveryType (300a,00ce)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTreatmentMachineName()

OFCondition DRTBeamSequence::Item::setTreatmentMachineName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TreatmentMachineName (300a,00b2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTBeamSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtbs.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1